<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/verdnatura_black">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/sacador_swipe"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/scan_input"
                    style="@style/ScanLineTextSearch"
                    android:layout_width="match_parent"
                    android:hint="@string/Escaneaetiqueta"
                    android:inputType="textVisiblePassword"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColorHint="@android:color/white"
                    android:visibility="visible"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/main_toolbar" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/txt_last_tickets"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="@string/lastTicketsText"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/h7">

                </com.google.android.material.textview.MaterialTextView>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/last_tickets_recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:clipToPadding="false"
                    tools:listitem="@layout/item_last_ticket_row" />
            </LinearLayout>
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </layout>